An Easy Question, Hopefully with an Easy Answer

Discussion in 'Wii - Hacking' started by Mr. Scarecrow, Jul 1, 2009.

  1. Mr. Scarecrow
    OP

    Newcomer Mr. Scarecrow Newbie

    Joined:
    Jul 1, 2009
    Messages:
    7
    Country:
    United States
    Let me thank anyone who helps in advance. Okay, I've got IOS38-64-v3610.wad and I've been trying to install it with Custom IOS installer 2.0. I've tried a bunch of different IOS versions, gone to WAD installation, it'll go through most of the installation fine then right at the end I'll get "INSTALL ERROR! (ret= -2011). I've also tried Network installation to no avail. Anybody know how to fix this?

    Thanks again.
     
  2. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    You probably don't have any vulnerable IOS for it to use to install yet. Are you on 4.0 without having done anything else to get cios_fix.wad installed or something?

    More information is needed to properly help you. Is your Wii an LU64+ type of Wii (did you buy it sometime this year?)

    Have you so far only ran the hackmii installer through bannerbomb to install the HBC and anything else in it?

    If you don't have an LU64+ type of Wii then you need to run at least steps 6-8 of the offline guide here:
    http://gbatemp.net/index.php?showtopic=144835

    Then you should be able to install cIOS fine using IOS249.

    If you do have a recent Wii however you will need to look into an LU64 method of getting cIOS which involves NOT DOWNGRADING ANYTHING. You will need to use cboot2 instead.
     
  3. ether2802

    Former Staff ether2802 we have the techno...!!

    Joined:
    Oct 14, 2007
    Messages:
    4,350
    Location:
    Pto. Vallarta
    Country:
    Mexico
    The question was easy, the answer wasn´t [​IMG]
     
  4. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    The answer is easy. -2011 means in this case that the used IOS does not have the trucha bug, but it's required. There are currently 3 ways to get the trucha bug on Wiis:
    - IOS35 downgrade with the DVDX installer. Does not work on boot2v4 Wiis, and leaves in this case an unusable IOS on nand. And i did not see any guides that tell how to restore it in case the downgrade did not work.
    - cBoot2, a little complicated, but very powerful
    - my Trucha Bug Restorer(currently only beta), that can install a trucha capable IOS36. If needs a trucha capable IOS for this, like the one from cBoot2. Or the downgraded IOS15, you can get with it too.
     
  5. Mr. Scarecrow
    OP

    Newcomer Mr. Scarecrow Newbie

    Joined:
    Jul 1, 2009
    Messages:
    7
    Country:
    United States
    Mine's an LU300.
     
  6. Mr. Scarecrow
    OP

    Newcomer Mr. Scarecrow Newbie

    Joined:
    Jul 1, 2009
    Messages:
    7
    Country:
    United States
  7. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    That guy used an IOS35 downgrader == does not work on boot2v4 Wiis. Just treat your Wii as if it's one of them, then you are at the safe side.
     
  8. Mr. Scarecrow
    OP

    Newcomer Mr. Scarecrow Newbie

    Joined:
    Jul 1, 2009
    Messages:
    7
    Country:
    United States
    What would you recommend as the most simple option from my position? I've literally been at this for just 3 hours so excuse my ignorance.
     
  9. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    http://gbatemp.net/index.php?download=6340

    Get the NUS Downloader:
    http://wiibrew.org/wiki/NUS_Downloader

    Download IOS15v257, IOS15,v266 and IOS36v3094.

    IOS15 title id is: 000000010000000f
    IOS36 title id is: 0000000100000024

    rename the IOS files to IOS15-64-v257.wad, IOS15-64-v266.wad and IOS36-64-v3094.wad.


    Then run TBR:
    - downgrade IOS15
    - install fully patched IOS36 to IOS36
    - restore IOS15
    - then ? what was the problem again?
     
  10. Mr. Scarecrow
    OP

    Newcomer Mr. Scarecrow Newbie

    Joined:
    Jul 1, 2009
    Messages:
    7
    Country:
    United States
    so I need two IOS15 that I need to rename differently? and which IOS15 do I downgrade and which IOS15 do I restore?
     
  11. Mr. Scarecrow
    OP

    Newcomer Mr. Scarecrow Newbie

    Joined:
    Jul 1, 2009
    Messages:
    7
    Country:
    United States
    Great. I got the cios to install. Now, is this something where it's a good idea to update or now that it's installed I'm fine?
     
  12. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    Do i really need to answer this? Seems so. Sorry for being this direct, but use your brain. Nintendo does not like the cIOS, so guess what an update will do eventually.
     
  13. bdr9

    Member bdr9 GBAtemp Advanced Fan

    Joined:
    Jul 21, 2008
    Messages:
    558
    Country:
    United States
    I think he might have meant should he update the cIOS in the future, not the Nintendo updates.
     
  14. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    Oh i see. Sorry.
     
  15. Mr. Scarecrow
    OP

    Newcomer Mr. Scarecrow Newbie

    Joined:
    Jul 1, 2009
    Messages:
    7
    Country:
    United States
    Yes, this is what I meant. Wanted to know if there was any benefit to doing so and if the via internet installation updates the cIOS.
     

Share This Page